#!/bin/sh

myname=`basename $0`

exec > /dev/linkfrontpanel.log 2>&1
logger -t $myname start

if grep -q 10027910 /proc/bus/pci/devices ; then
	# RB AVG II
	ln -sfv /dev/ttyS1 /dev/frontpanel
	logger -s -t $myname linking /dev/frontpanel to /dev/ttyS1
elif grep -q 808627a0 /proc/bus/pci/devices ; then
	# RB AVG I
	ln -sfv /dev/ttyS2 /dev/frontpanel
	logger -s -t $myname linking /dev/frontpanel to /dev/ttyS2
elif grep -q 80860709 /proc/bus/pci/devices ; then
	# RB ICE
	ln -sfv /dev/ttyS0 /dev/frontpanel
	#result=$(reelfpctl -only-avr -getversion)
	result=$(reelfpctl -capability | grep AVR)
	if [ -z "$result" ]; then
		ln -sfv /dev/null /dev/frontpanel
	else
                #we have a AVG frontpanel
                echo ttyS0 > /dev/.have_frontpanel
	fi
	echo -e "\b"
else
	# no RB AVG
	ln -sfv /dev/null /dev/frontpanel
	logger -s -t $myname no RB Avantgarde - not linking /dev/frontpanel
fi

